EPR
Keywords: org.gcube.informationsystem.notifier.util.EPR class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.informationsystem.notifier.util
Class EPR

    java.lang.Object
      org.gcube.informationsystem.notifier.util.EPR

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  Producer

    public class EPR

extends java.lang.Object
implements java.io.Serializable

This class boxes a EnspointReferenceType in order to add equals method

Author:
  Andrea Manzi
See Also:
  Serialized Form

Constructor Summary
`EPR()` default constructor
`EPR(org.apache.axis.message.addressing.EndpointReferenceType epr)` the constructor

Method Summary
`boolean` | `equals(java.lang.Object obj)` equals method
`static org.apache.axis.encoding.Deserializer` | `getDeserializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Deserializer
`org.apache.axis.message.addressing.EndpointReferenceType` | `getEpr()` Default getter for EPR
`static org.apache.axis.encoding.Serializer` | `getSerializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Serializer
`static org.apache.axis.description.TypeDesc` | `getTypeDesc()` Return type metadata object
`int` | `hashCode()` Used by the HashMap
`void` | `setEpr(org.apache.axis.message.addressing.EndpointReferenceType epr)` Default Setter for EPR
`java.lang.String` | `toString()` tostring method

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EPR

    public EPR()

  default constructor

### EPR

    public EPR(org.apache.axis.message.addressing.EndpointReferenceType epr)

  the constructor

  Parameters:
    `epr` - the epr

Method Detail

### setEpr

    public void setEpr(org.apache.axis.message.addressing.EndpointReferenceType epr)

  Default Setter for EPR

  Parameters:
    `epr` - the epr

### getEpr

    public org.apache.axis.message.addressing.EndpointReferenceType getEpr()

  Default getter for EPR

  Returns:
    EndpointReferenceType epr

### hashCode

    public int hashCode()

  Used by the HashMap

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    the hashcode

### toString

    public java.lang.String toString()

  tostring method

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the string representation of the objct

### equals

    public boolean equals(java.lang.Object obj)

  equals method

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - the obj to compare
  Returns:
    true if the two objects are the same Key

### getTypeDesc

    public static org.apache.axis.description.TypeDesc getTypeDesc()

  Return type metadata object

  Returns:
    the type desc

### getSerializer

    public static org.apache.axis.encoding.Serializer getSerializer(java.lang.String mechType,
                                                                    java.lang.Class _javaType,
                                                                    javax.xml.namespace.QName _xmlType)

  Get Custom Serializer

  Parameters:
    `mechType` - the type
    `_javaType` - the java type
    `_xmlType` - the xml type
  Returns:
    thr serializer

### getDeserializer

    public static org.apache.axis.encoding.Deserializer getDeserializer(java.lang.String mechType,
                                                                        java.lang.Class _javaType,
                                                                        javax.xml.namespace.QName _xmlType)

  Get Custom Deserializer

  Parameters:
    `mechType` - the type
    `_javaType` - the java type
    `_xmlType` - the xml type
  Returns:
    org.apache.axis.encoding.Deserializer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD